Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Jan Djärv <[email-masked]>
Date: Wed, 24 Apr 2013 18:54:04 +0200

Hello.

24 apr 2013 kl. 08:39 skrev martin rudalics <[email-masked]>:

> >>  > We do have macros like FRAME_MENUBAR_HEIGHT and FRAME_TOOLBAR_HEIGHT
> >>  > that can be used.  It is better to have that calculation in one place,
> >>  > rather than in each port, so this might be a good time to move it.
> >>
> >> If someone wants and knows how to do this cleanly, please go for it.
> >
> > Can you explain what macros/functions would you like to have, exactly,
> > to be able to do this job cleanly?  Maybe FRAME_MENUBAR_HEIGHT
> > etc. are not what you need, but perhaps there are other means to get
> > the information cleanly.
> 
> A function that would tell me in a platform independent way the pixel
> offset of the frame's root window from the top edge of the frame's
> "client rectangle" (sorry for the Windows parlance).
> 

Using MS Windows narrows your world view.  If you used Emacs for Gtk+ you would know that the toolbar can be on any edge (top, bottom, left or right).  So getting just top edge offset is not enough.  You need all four offsets.

	Jan D.